/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mx.util;

import javax.management.MBeanServer;

/**
 * A helper for query expressions
 * 
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.2 $
 */
public class QueryExpSupport
{
   /**
    * The MBeanServer (one per thread)
    */
   public static ThreadLocal server = new ThreadLocal();

   public void setMBeanServer(MBeanServer mbeanServer)
   {
      server.set(mbeanServer);
   }

}
